Package org.apache.sysds.lops.compile.linearization

# Class LinearizerPipelineAware

java.lang.Object
org.apache.sysds.lops.compile.linearization.IDagLinearizer
org.apache.sysds.lops.compile.linearization.LinearizerPipelineAware

public class LinearizerPipelineAware extends IDagLinearizer

## Constructor Summary

Constructors
Constructor
Description
`LinearizerPipelineAware()`

## Method Summary

Modifier and Type
Method
Description
`List<Lop>`
`linearize(List<Lop> v)`
Sort lops depth-first while assigning the nodes to pipelines

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinearizerPipelineAware

public LinearizerPipelineAware()

## Method Details

### linearize

public List<Lop> linearize(List<Lop> v)
Sort lops depth-first while assigning the nodes to pipelines

Specified by:
  `linearize` in class `IDagLinearizer`
Parameters:
  `v` - List of lops to sort
Returns:
  Sorted list of lops with set _pipelineID on the Lop Object